package router

import (
	"bookhoard/internal/docs"
)

func registerDocumentationRoutes(cfg *Config) {
	docsHandler := docs.NewHTTPHandler("docs")
	cfg.Echo.GET("/docs", docsHandler.DocsHome)
	cfg.Echo.GET("/docs/*", docsHandler.ShowDocumentation)
	cfg.Echo.GET("/docs/api/search", docsHandler.Search)
	cfg.Echo.GET("/docs/search-index.json", docsHandler.ServeSearchIndex)
}
